Get a merchant
GET
apiKeyheader
Api-Key<token>Partner API key.
merchantId*stringMerchant details
application/json- response
merchant*curl -X GET 'https://api.merchant.pay.walletconnect.com/v1/merchants/string'{ "merchant": { "id": "mrch_7kBz2qR9xPvLmN4Yw", "name": "Acme Store", "email": "billing@acme.store", "status": "active", "iconUrl": "https://imagedelivery.net/example/acme-icon.png", "mcc": 5812, "createdAt": "2025-06-15T10:30:00.000Z", "mtaAddresses": [ "eip155:8453:0x1234567890abcdef1234567890abcdef12345678", "eip155:10:0x1234567890abcdef1234567890abcdef12345678" ], "settlements": { "crypto": [ { "id": "crypto_Xk7nWp8XmQj2YrTv6", "asset": "eip155:8453/erc20:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913", "destination": "eip155:8453:0x1234567890abcdef1234567890abcdef12345678", "networkName": "Base", "networkLogoUrl": "https://api.walletconnect.com/assets/v1/image/network/eip155%3A8453/md" } ], "fiat": [ { "id": "fiat_Bk4nWp8XmQj2YrTv6", "status": "active", "bankType": "ACH" } ] } }}